Toggle Webhook Active State
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active \
--header 'Authorization: Bearer <token>'const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 9500,
"payloadUrl": "https://example.org/webhooks/virtuous",
"contactCreate": true,
"contactUpdate": true,
"giftCreate": true,
"giftUpdate": true,
"giftDelete": false,
"projectCreate": false,
"projectUpdate": false,
"projectDelete": false,
"formSubmission": true,
"contactNoteCreate": false,
"contactNoteUpdate": false,
"contactNoteDelete": false,
"eventCreate": false,
"eventUpdate": false,
"eventDelete": false,
"active": true
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Webhooks
Toggle Webhook Active State
Activates or pauses delivery for the webhook. Pass active=true to resume delivery and active=false to pause it, leaving the payload URL and event subscriptions in place. The signing secret is not returned.
PUT
/
api
/
Webhook
/
{webhookId}
/
Active
Toggle Webhook Active State
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active \
--header 'Authorization: Bearer <token>'const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Webhook/{webhookId}/Active';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 9500,
"payloadUrl": "https://example.org/webhooks/virtuous",
"contactCreate": true,
"contactUpdate": true,
"giftCreate": true,
"giftUpdate": true,
"giftDelete": false,
"projectCreate": false,
"projectUpdate": false,
"projectDelete": false,
"formSubmission": true,
"contactNoteCreate": false,
"contactNoteUpdate": false,
"contactNoteDelete": false,
"eventCreate": false,
"eventUpdate": false,
"eventDelete": false,
"active": true
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Returns the subscription in its new active state without
secret. Use the signing secret stored by your integration to verify deliveries.Authorizations
Response
OK
Last modified on October 22, 2026
Was this page helpful?